# Uses of Enum
org.eclipse.birt.chart.model.attribute.LegendBehaviorType

Packages that use LegendBehaviorType
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of LegendBehaviorType in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type LegendBehaviorType
Modifier and Type
Field
Description
`static final List<LegendBehaviorType>`
LegendBehaviorType.`VALUES`
A public read-only list of all the 'Legend Behavior Type' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return LegendBehaviorType
Modifier and Type
Method
Description
`static LegendBehaviorType`
LegendBehaviorType.`get(int value)`
Returns the 'Legend Behavior Type' literal with the specified integer value.
`static LegendBehaviorType`
LegendBehaviorType.`get(String literal)`
Returns the 'Legend Behavior Type' literal with the specified literal value.
`static LegendBehaviorType`
LegendBehaviorType.`getByName(String name)`
Returns the 'Legend Behavior Type' literal with the specified name.
`LegendBehaviorType`
Interactivity.`getLegendBehavior()`
Returns the value of the 'Legend Behavior' attribute.
`static LegendBehaviorType`
LegendBehaviorType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static LegendBehaviorType[]`
LegendBehaviorType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type LegendBehaviorType
Modifier and Type
Method
Description
`void`
Interactivity.`setLegendBehavior(LegendBehaviorType value)`
Sets the value of the '`Legend Behavior`' attribute.

## Uses of LegendBehaviorType in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return LegendBehaviorType
Modifier and Type
Method
Description
`LegendBehaviorType`
AttributeFactoryImpl.`createLegendBehaviorTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`LegendBehaviorType`
AttributeFactoryImpl.`createLegendBehaviorTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`LegendBehaviorType`
InteractivityImpl.`getLegendBehavior()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type LegendBehaviorType
Modifier and Type
Method
Description
`void`
InteractivityImpl.`setLegendBehavior(LegendBehaviorType newLegendBehavior)`